﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Infragistics.Win;
using Infragistics.Win.Misc;
using System.Drawing;
using System.Diagnostics;

namespace WinDesktopAlertButton
{
    class MyCreation:IUIElementCreationFilter
    {
        #region IUIElementCreationFilter Members

        public void AfterCreateChildElements(UIElement parent)
        {
            DesktopAlertImageUIElementBase alertImage = parent as DesktopAlertImageUIElementBase;
            if (alertImage != null && alertImage.Image != null && alertImage.Parent is AlertButtonUIElement 
            && !((AlertButtonUIElement)alertImage.Parent).Button.Enabled)
            {
                Debug.WriteLine(((AlertButtonUIElement)alertImage.Parent).Button.Enabled.ToString());
                alertImage.Image = DrawUtility.CreateDisabledImage(alertImage.Image, Color.Gray);
            }
        }

        public bool BeforeCreateChildElements(UIElement parent)
        {
            return false;
        }

        #endregion
    }
}
